<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:elevation="@dimen/dp_10"
    app:cardCornerRadius="@dimen/dp_10">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/lib_dialog_bg_color"
        android:orientation="vertical">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center"
            android:paddingHorizontal="@dimen/dp_10"
            android:text="取消告警"
            android:textSize="@dimen/sp_16" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/itemLayoutHeight"
            android:gravity="center_vertical">

            <TextView
                style="@style/textViewStyle"
                android:text="原因" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_10"
                android:background="@drawable/bg_layout_spinner">

                <Spinner
                    android:id="@+id/selectReasonView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginVertical="@dimen/dp_5" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/itemLayoutHeight"
            android:gravity="center_vertical">

            <TextView
                style="@style/textViewStyle"
                android:text="备注" />

            <com.pengxh.androidx.lite.widget.DeleteEditText
                android:id="@+id/cancelReasonView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_10"
                android:background="@drawable/bg_solid_layout_hint_radius_3"
                android:gravity="top"
                android:hint="请输入取消告警的原因"
                android:padding="@dimen/dp_3"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/lib_px_1"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@color/lib_line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/lib_dp_45"
            android:orientation="horizontal">

            <Button
                android:id="@+id/dialogCancelButton"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/dialog_button_selector"
                android:gravity="center"
                android:text="取消"
                android:textColor="@color/red"
                android:textSize="@dimen/lib_sp_16" />

            <View
                android:layout_width="@dimen/lib_px_1"
                android:layout_height="match_parent"
                android:background="@color/lib_line_color" />

            <Button
                android:id="@+id/dialogConfirmButton"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/dialog_button_selector"
                android:gravity="center"
                android:text="确定"
                android:textColor="@color/blue"
                android:textSize="@dimen/lib_sp_16" />
        </LinearLayout>
    </LinearLayout>
</androidx.cardview.widget.CardView>